package projectzombie.entity;

import bdf.types.BdfObject;
import gl_engine.vec.Vec3d;
import projectzombie.init.Models;
import projectzombie.model.Model;

public class EntityZombieArmored extends EntityZombie
{
	public EntityZombieArmored(BdfObject bdf) {
		super(bdf);
	}
	
	public EntityZombieArmored(Vec3d pos, Vec3d velocity) {
		super(pos, velocity);
		this.health_max *= 5;
		this.health = this.health_max;
		this.gun_level = 3;
		
		this.crossUnwalkable = true;
	}
	
	@Override
	public int bloodParticles() {
		return 6;
	}
	
	@Override
	public Model getModel() {
		return Models.ENTITY_ZOMBIE_F_ARMORED;
	}

}
